INT2GUIDE CONFIG
 1 7 ;version, subversion
; This is a configuration file for the INT2GUID program. It has the following
; format:
; The file name must be INT2GUID.CFG
; Line 1 must be "INT2GUIDE CONFIG" to identify the file as a configuration
; file for INT2GUID.EXE.
; Line 2 must identify version and subversion numbers, so they can be read in
; "C" format "%u%u" (i.e. as positive decimal integers).
; The following lines starting with a semicolon (;) are comment lines.
;
;   Notice that this file is optimized for POPHELP. If it is used for the
;   GUIDE program, the line defining WIDTH, and the condition masks in topics
;   7 (Characters etc.) and X (Help) should be edited.
;
; Introduced i version 1.07: Lines up to a line starting with '=' are
; interpreted in the beginning of INT2GUID. The following commands are
; recognized 
;
WIDTH 78 ; defines popup screen with. Use 80 for GUIDE or 78 for POPHELP
;
MaxTopicLength 32000 ; defines the maximum number of characters written to
;   a topic. If the text is longer, it will be split into two or more topics,
;   and mutual cross references are inserted.
;
Classification ; Enable "Classification" to include divider line function
;   classification character (column 9 in divider line) as part of topic
;   headings (function classification will be introduced in the interrupt
;   list after release 33).
;   If Classification is enabled, the mask in the last topic in this file
;   "Key to List" should read 1 to enable a reference to a key of function
;   classification characters, or else it should read 0.
;   Notice that enabling of Classification increases the length of topic
;   strings by 2 characters, and because the total length of all topic
;   strings is limited to 64 kilobytes, it might be necessary to disable
;   Classification as the number of topics increases in new releases of
;   the interrupt list.
;
; This ends the initial part of INT2GUID.CFG
========================================================================
;
; Each file included in the help system is identified by five lines:
; Line 1 is the file name. It may include a path.
; Line 2 is the entry in the help system index. It is truncated to 14
; characters.
; Line 3 is the selection field in the subindex. It is truncated or
; space-padded to 12 characters.
; Line 4 is the rest of the entry in the subindex. It is separated from the
; selection field by two spaces. It is truncated to 62 characters.
; Line 5 identify the file type and the number of extra topics defined in
; the file, and a condition mask. It is read in the "C" %u%u%i format (the
; %i format takes decimal integers, octal integers starting with 0 and
; hexadecimal integers starting with 0x, 64 = 0100 = 0x40).
; A non zero value in the first position identifies a command file, which
; may have commands and comments for the MAKEHELP program; if the value is
; zero, a leading space is inserted on lines starting with "!" or ";", and
; tabs are filtered to spaces. 0 should be used for files not specifically
; edited for the help system.
; The second value defines the number of extra topics used in a command
; file.
; The condition mask is used for conditional assembling of command files.
; Command files can include lines starting with "!! <condition>", where
; condition is a number. The following text is included only if condition = 0
; or (condition AND mask) <> 0. See ";Topic 7" below and file "int2guid.add"
; for examples.
;
; The 5-line entries may be separated by comment lines identified by a
; semicolon in the first column.
;
; The included files can have internal or mutual cross references, or
; references to the topics:
;   1. The main interrupt list.
;   2. The copyright notice.
;   3. The INTERRUP.LST entry.
;   4. The INTERRUP.1ST entry.
;   5. The GUIDE entry.
; Topics included herein are numbered 6 up, with consecutive numbers unless
; line 5 specifies extra topics.
; Line 5 in a command entry must specify at least the number of topics used
; in the included file, and it may specify extra entries for future
; expansions. Inside a command file with extra topics:
;   A. Use consecutive topic numbers, starting one higher than the file's
;      topic number.
;   B. Use topic names with 14 characters or less.
;   C. Use either the !NOINDEX command to exclude the topic from the main
;      index, or no index command at all to have the topics listed in
;      alphabetic order after all other entries.
;
; Included files:
;
; Topic 6. Ralf Brown's Interrupt Primer.
interrup.pri
Primer
Primer
What is an interrupt?
0 0 0 ;no commands, no extra topics, no mask
;
; Topic 7. Characters, scan codes etc. N.B. Extra topics!!!
; N.B. Mask value 4 optimizes for POPHELP, use 2 to optimize for GUIDE,
;      or use 1 for a help file acceptable by both GUIDE and POPHELP.
int2guid.add
Codes etc.
Additional
information: characters, colors, scan codes, pin assignments
1 13 4 ;commands, 7 extra topics used, 6 reserved.
;    mask values: 0: alphabetic index; 0x8000: no index
;    ORed with:   1: acceptable by both GUIDE and POPHELP
;         or      2; optimized for GUIDE
;         or      4; optimized for POPHELP
;    e.g. 0x8004 for no index, optimized for POPHELP
;
; Topic 8 + 13 = 21. Selected parts of INTERRUP.LST.
;   N.B. Extra topics!!!
int2guid.tab
Tables
Tables
PSP, Environment, Country, Errors
1 10 0 ;commands, 4 extra topics used, 6 more reserved.
;    mask values: 0: alphabetic index; 0x8000: no index
;
; Topic 22 + 10 = 32. Robin Walker's BIOS Memory List
memory.lst
BIOS List
MEMLIST
BIOS Memory List
0 0 0 ;no commands, no extra topics, no mask
;
; Topic 33. Wim Osterholt's Ports List
ports.lst
Ports List
Ports
List of I/O Ports
0 0 0 ;no commands, no extra topics, no mask
;
; Topic 34. Padgett Peterson's CMOS Memory Map
memory.lst
CMOS Memory Map
CMOS
Memory Map
0 0 0 ;no commands, no extra topics, no mask
;
; Topic 35. Ralf Brown's GLOSSARY.LST.
glossary.lst
Glossary
Glossary
Common Computer Terms
0 0 0 ;no commands, no extra topics, no mask
;
; Topic X. Help. NB! last topic before Key to Index
int2guid.hlp
Help
Help
to this system
1 0 4;commands, no extra topics,
;   mask values:
;     2: Help to GUIDE.
;     4: Help to POPHELP.
;
; Topic XX. Key to index. NB! last topic before list
int2guid.key
Key to List
Key to List
Format of index entries
1 0 1 ;commands, no extra topics,
;   mask values:
;     0: disable reference to Function Classification.
;     1: enable the reference if Classification is enabled in the initial
;        part of this configuration file.
